program main
  use wemva_kerpix_complex_mod

  type(vel_grid)   :: vgrid
  type(img_grid)   :: igrid
  type(wemva_ftag) :: ftag_

  logical          :: adj, add
  integer          :: stat

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()

  call from_param("adj", adj, .false.)
  call from_param("add", add, .false.)

  stat = wemva_kerpix_init(vgrid, igrid, ftag_)

  stat = wemva_kerpix_oper(adj, add, ftag_%dslw_, ftag_%dimg_)
     
  stat = wemva_kerpix_clos()

end program
